Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHKeyGenerationDialog

    java.lang.Object
      com.mindbright.ssh.SSHKeyGenerationDialog

Direct Known Subclasses:
  SSHKeyGenerationDialogAWT, SSHKeyGenerationDialogSwing

public class SSHKeyGenerationDialog
extends java.lang.Object

Field Summary
`protected static SSHInteractiveClient` | `client`
`protected static java.lang.String` | `EDIT_TITLE`
`protected static java.lang.String[]` | `KEY_LENGTHS`
`protected static java.lang.String[]` | `KEY_TYPES`
`protected static java.lang.String` | `keyGenerationComplete`
`protected static java.lang.String` | `keyGenerationHelp`
`protected static java.lang.String` | `LBL_1024`
`protected static java.lang.String` | `LBL_BTN_BACK`
`protected static java.lang.String` | `LBL_BTN_CANCEL`
`protected static java.lang.String` | `LBL_BTN_CLOSE`
`protected static java.lang.String` | `LBL_BTN_GENERATE`
`protected static java.lang.String` | `LBL_BTN_SAVE`
`protected static java.lang.String` | `LBL_COMMENT`
`protected static java.lang.String` | `LBL_DOT_DOT_DOT`
`protected static java.lang.String` | `LBL_DSA`
`protected static java.lang.String` | `LBL_IDENTITY`
`protected static java.lang.String` | `LBL_KEY_LENGTH`
`protected static java.lang.String` | `LBL_KEY_TYPE`
`protected static java.lang.String` | `LBL_OPENSSH`
`protected static java.lang.String` | `LBL_PASSWORD`
`protected static java.lang.String` | `LBL_PASSWORD_AGAIN`
`protected static java.lang.String` | `LBL_SSHCOM`
`protected static java.lang.String` | `LBL_SUBJECT`
`protected static java.awt.Frame` | `parent`
`protected static java.lang.String` | `PASS_TITLE`
`protected static java.lang.String` | `TEXT_GENERATING`

Constructor Summary
`SSHKeyGenerationDialog()`

Method Summary
`protected static void` | `alert(java.lang.String msg)`
`protected static boolean` | `checkValues(java.lang.String passwd, java.lang.String passwd2, java.lang.String fileName)`
`protected static java.lang.String` | `expandFileName(java.lang.String fileName)`
`static KeyPair` | `generateKeyPair(java.lang.String alg, int bits)`
`protected static java.lang.String` | `getDefaultFileName()`
`protected static java.io.OutputStream` | `getOutput(java.lang.String fileName)`
`protected static java.io.File` | `getSaveFile()`
`protected static void` | `saveKeyPair(KeyPair kp, java.lang.String passwd, java.lang.String fileName, java.lang.String comment, java.lang.String type, boolean openssh)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDIT_TITLE

    protected static final java.lang.String EDIT_TITLE

See Also:
  Constant Field Values

### PASS_TITLE

    protected static final java.lang.String PASS_TITLE

See Also:
  Constant Field Values

### KEY_TYPES

    protected static final java.lang.String[] KEY_TYPES

### KEY_LENGTHS

    protected static final java.lang.String[] KEY_LENGTHS

### LBL_BTN_GENERATE

    protected static final java.lang.String LBL_BTN_GENERATE

See Also:
  Constant Field Values

### LBL_BTN_CLOSE

    protected static final java.lang.String LBL_BTN_CLOSE

See Also:
  Constant Field Values

### LBL_BTN_BACK

    protected static final java.lang.String LBL_BTN_BACK

See Also:
  Constant Field Values

### LBL_BTN_SAVE

    protected static final java.lang.String LBL_BTN_SAVE

See Also:
  Constant Field Values

### LBL_BTN_CANCEL

    protected static final java.lang.String LBL_BTN_CANCEL

See Also:
  Constant Field Values

### LBL_KEY_TYPE

    protected static final java.lang.String LBL_KEY_TYPE

See Also:
  Constant Field Values

### LBL_KEY_LENGTH

    protected static final java.lang.String LBL_KEY_LENGTH

See Also:
  Constant Field Values

### LBL_IDENTITY

    protected static final java.lang.String LBL_IDENTITY

See Also:
  Constant Field Values

### LBL_DOT_DOT_DOT

    protected static final java.lang.String LBL_DOT_DOT_DOT

See Also:
  Constant Field Values

### LBL_PASSWORD

    protected static final java.lang.String LBL_PASSWORD

See Also:
  Constant Field Values

### LBL_PASSWORD_AGAIN

    protected static final java.lang.String LBL_PASSWORD_AGAIN

See Also:
  Constant Field Values

### LBL_COMMENT

    protected static final java.lang.String LBL_COMMENT

See Also:
  Constant Field Values

### LBL_SUBJECT

    protected static final java.lang.String LBL_SUBJECT

See Also:
  Constant Field Values

### LBL_OPENSSH

    protected static final java.lang.String LBL_OPENSSH

See Also:
  Constant Field Values

### LBL_DSA

    protected static final java.lang.String LBL_DSA

See Also:
  Constant Field Values

### LBL_1024

    protected static final java.lang.String LBL_1024

See Also:
  Constant Field Values

### LBL_SSHCOM

    protected static final java.lang.String LBL_SSHCOM

See Also:
  Constant Field Values

### TEXT_GENERATING

    protected static final java.lang.String TEXT_GENERATING

See Also:
  Constant Field Values

### keyGenerationHelp

    protected static final java.lang.String keyGenerationHelp

See Also:
  Constant Field Values

### keyGenerationComplete

    protected static final java.lang.String keyGenerationComplete

See Also:
  Constant Field Values

### client

    protected static SSHInteractiveClient client

### parent

    protected static java.awt.Frame parent

Constructor Detail

### SSHKeyGenerationDialog

    public SSHKeyGenerationDialog()

Method Detail

### getSaveFile

    protected static java.io.File getSaveFile()

### alert

    protected static void alert(java.lang.String msg)

### getDefaultFileName

    protected static java.lang.String getDefaultFileName()

### generateKeyPair

    public static KeyPair generateKeyPair(java.lang.String alg,
                                          int bits)
                                   throws NoSuchAlgorithmException

  Throws:
    `NoSuchAlgorithmException`

### saveKeyPair

    protected static void saveKeyPair(KeyPair kp,
                                      java.lang.String passwd,
                                      java.lang.String fileName,
                                      java.lang.String comment,
                                      java.lang.String type,
                                      boolean openssh)
                               throws java.io.IOException,
                                      SSH2Exception,
                                      NoSuchAlgorithmException

  Throws:
    `java.io.IOException`
    `SSH2Exception`
    `NoSuchAlgorithmException`

### checkValues

    protected static boolean checkValues(java.lang.String passwd,
                                         java.lang.String passwd2,
                                         java.lang.String fileName)

### getOutput

    protected static java.io.OutputStream getOutput(java.lang.String fileName)

### expandFileName

    protected static java.lang.String expandFileName(java.lang.String fileName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD